<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_ca5c0c5d8fc7" . "b79e47b56dde2" . "2624d04" => base64_decode("aGVscGRlc2sucGF" . "nZXMubWFpbg=="), "_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1zZw" . "=="), "_b5376d0e9fe3d5eb6bf061a08124c" . "0f8" => base64_decode("aWNfcHJvamVjdA=" . "="), "_63589e5520a96ab93" . "8b2d69673e48d44" => base64_decode("aWNfaXNzd" . "WU="), "_680a1dbec29674745c98efd92" . "ae1c0f6" => base64_decode("YX" . "Bw" . "X2" . "lj"));
use Claromentis\Infocapture\InfocaptureApplication;
use Claromentis\Search\ItemType;






class ICApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_63589e5520a96ab938b2d696" . "73e48d44"] => function () {
            return new ItemType\ICIssue();
        }, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_b5376d0e9f" . "e3d5eb6bf06" . "1a08124c0f8"] => function () {
            return new ItemType\ICProject();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ca5c0c5d8fc7b" . "79e47b56dde226" . "24d04"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_680a1dbec2967" . "4745c98efd92ae" . "1c0f6"];
    }
    public function GetIcon() : string
    {
        return InfocaptureApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_63589e552" . "0a96ab938b" . "2d69673e48" . "d44"], $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b5376d0e9fe3d5" . "eb6bf061a08124c" . "0f8"]];
    }
}